# Uses of Class
org.apache.lucene.analysis.opennlp.tools.NLPLemmatizerOp

Packages that use NLPLemmatizerOp
Package
Description
org.apache.lucene.analysis.opennlp
Analysis components based on OpenNLP
org.apache.lucene.analysis.opennlp.tools
Tools to supply access to OpenNLP components.

- ## Uses of NLPLemmatizerOp in org.apache.lucene.analysis.opennlp

  Constructors in org.apache.lucene.analysis.opennlp with parameters of type NLPLemmatizerOp
  Modifier
  Constructor
  Description
  ``
  `OpenNLPLemmatizerFilter(TokenStream input, NLPLemmatizerOp lemmatizerOp)`

- ## Uses of NLPLemmatizerOp in org.apache.lucene.analysis.opennlp.tools

  Methods in org.apache.lucene.analysis.opennlp.tools that return NLPLemmatizerOp
  Modifier and Type
  Method
  Description
  `static NLPLemmatizerOp`
  OpenNLPOpsFactory.`getLemmatizer(String dictionaryFile, String lemmatizerModelFile)`